/**
 * <copyright>
 * </copyright>
 *
 * $Id: RSS10AdapterFactory.java,v 1.1 2005/02/26 07:21:47 mkamo Exp $
 */
package razgriz.news.model.rss10.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

import razgriz.news.model.rss10.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see razgriz.news.model.rss10.RSS10Package
 * @generated
 */
public class RSS10AdapterFactory extends AdapterFactoryImpl {
    /**
     * The cached model package.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected static RSS10Package modelPackage;

    /**
     * Creates an instance of the adapter factory.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    public RSS10AdapterFactory() {
        if (modelPackage == null) {
            modelPackage = RSS10Package.eINSTANCE;
        }
    }

    /**
     * Returns whether this factory is applicable for the type of the object.
     * <!-- begin-user-doc -->
     * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
     * <!-- end-user-doc -->
     * @return whether this factory is applicable for the type of the object.
     * @generated
     */
    public boolean isFactoryForType(Object object) {
        if (object == modelPackage) {
            return true;
        }
        if (object instanceof EObject) {
            return ((EObject)object).eClass().getEPackage() == modelPackage;
        }
        return false;
    }

    /**
     * The switch the delegates to the <code>createXXX</code> methods.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    protected RSS10Switch modelSwitch =
        new RSS10Switch() {
            public Object caseRDF(RDF object) {
                return createRDFAdapter();
            }
            public Object caseChannel(Channel object) {
                return createChannelAdapter();
            }
            public Object caseItem(Item object) {
                return createItemAdapter();
            }
            public Object caseLI(LI object) {
                return createLIAdapter();
            }
            public Object caseSeq(Seq object) {
                return createSeqAdapter();
            }
            public Object caseItems(Items object) {
                return createItemsAdapter();
            }
            public Object caseImage(Image object) {
                return createImageAdapter();
            }
            public Object defaultCase(EObject object) {
                return createEObjectAdapter();
            }
        };

    /**
     * Creates an adapter for the <code>target</code>.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @param target the object to adapt.
     * @return the adapter for the <code>target</code>.
     * @generated
     */
    public Adapter createAdapter(Notifier target) {
        return (Adapter)modelSwitch.doSwitch((EObject)target);
    }


    /**
     * Creates a new adapter for an object of class '{@link razgriz.news.model.rss10.RDF <em>RDF</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see razgriz.news.model.rss10.RDF
     * @generated
     */
    public Adapter createRDFAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link razgriz.news.model.rss10.Channel <em>Channel</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see razgriz.news.model.rss10.Channel
     * @generated
     */
    public Adapter createChannelAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link razgriz.news.model.rss10.Item <em>Item</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see razgriz.news.model.rss10.Item
     * @generated
     */
    public Adapter createItemAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link razgriz.news.model.rss10.LI <em>LI</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see razgriz.news.model.rss10.LI
     * @generated
     */
    public Adapter createLIAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link razgriz.news.model.rss10.Seq <em>Seq</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see razgriz.news.model.rss10.Seq
     * @generated
     */
    public Adapter createSeqAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link razgriz.news.model.rss10.Items <em>Items</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see razgriz.news.model.rss10.Items
     * @generated
     */
    public Adapter createItemsAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '{@link razgriz.news.model.rss10.Image <em>Image</em>}'.
     * <!-- begin-user-doc -->
     * This default implementation returns null so that we can easily ignore cases;
     * it's useful to ignore a case when inheritance will catch all the cases anyway.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @see razgriz.news.model.rss10.Image
     * @generated
     */
    public Adapter createImageAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for the default case.
     * <!-- begin-user-doc -->
     * This default implementation returns null.
     * <!-- end-user-doc -->
     * @return the new adapter.
     * @generated
     */
    public Adapter createEObjectAdapter() {
        return null;
    }

} //RSS10AdapterFactory
